Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_SCTP_SEQ_Object Class Reference

TAO_AV_Protocol_Object for the User Datagram Protocol (SCTP_SEQ). More...

`#include <SCTP_SEQ.h>`

Inheritance diagram for TAO_AV_SCTP_SEQ_Object:

[legend]
Collaboration diagram for TAO_AV_SCTP_SEQ_Object:

[legend]
List of all members.

## Public Methods
| TAO_AV_SCTP_SEQ_Object (TAO_AV_Callback *callback, TAO_AV_Transport *transport=0)
virtual | ~TAO_AV_SCTP_SEQ_Object (void)
| Dtor.
virtual int | handle_input (void)
virtual int | send_frame (ACE_Message_Block *frame, TAO_AV_frame_info *frame_info=0)
| send a data frame.
virtual int | send_frame (const iovec *iov, int iovcnt, TAO_AV_frame_info *frame_info=0)
| send a frame in iovecs.
virtual int | send_frame (const char *buf, size_t len)
virtual int | destroy (void)
| end the stream.
## Private Attributes
ACE_Message_Block | frame_
| Pre-allocated memory to receive the data...

## Detailed Description

TAO_AV_Protocol_Object for the User Datagram Protocol (SCTP_SEQ).

## Constructor & Destructor Documentation

TAO_AV_SCTP_SEQ_Object::TAO_AV_SCTP_SEQ_Object | ( | TAO_AV_Callback * | callback,
|  | TAO_AV_Transport * | transport = 0
| ) |

TAO_AV_SCTP_SEQ_Object::~TAO_AV_SCTP_SEQ_Object | ( | void |  | ) | `[virtual]`

| Dtor.

## Member Function Documentation

int TAO_AV_SCTP_SEQ_Object::destroy | ( | void |  | ) | `[virtual]`

| end the stream. Implements TAO_AV_Protocol_Object.

int TAO_AV_SCTP_SEQ_Object::handle_input | ( | void |  | ) | `[virtual]`

| Implements TAO_AV_Protocol_Object.

int TAO_AV_SCTP_SEQ_Object::send_frame | ( | const char * | buf,
|  | size_t | len
| ) | `[virtual]`

| Implements TAO_AV_Protocol_Object.

int TAO_AV_SCTP_SEQ_Object::send_frame | ( | const iovec * | iov,
|  | int | iovcnt,
|  | TAO_AV_frame_info * | frame_info = 0
| ) | `[virtual]`

| send a frame in iovecs. Implements TAO_AV_Protocol_Object.

int TAO_AV_SCTP_SEQ_Object::send_frame | ( | ACE_Message_Block * | frame,
|  | TAO_AV_frame_info * | frame_info = 0
| ) | `[virtual]`

| send a data frame. Implements TAO_AV_Protocol_Object.

## Member Data Documentation

ACE_Message_Block TAO_AV_SCTP_SEQ_Object::frame_`[private]`

| Pre-allocated memory to receive the data...

The documentation for this class was generated from the following files:

- SCTP_SEQ.h
- SCTP_SEQ.cpp